<?php

namespace App\Modules\Admin\Controllers\Admin;

use App\Base\BaseController;
use App\Models\Setting;
use App\Modules\Admin\Services\SettingService;

class BannerController extends BaseController
{
    /** @var SettingService $service */
    protected $service;

    public function __construct(SettingService $authService)
    {
        $this->service = $authService;
    }

    public function paginate()
    {
        $data = $this->valid([
            "name" => "",
            "status" => "",
            "page_size" => "",
        ]);

        return $this->ok($this->service->bannerPaginate($data));
    }

    public function store()
    {
        $params = $this->valid([
            "id" => "",
            "name" => "required",
            "imageUrl" => "required|url",
            "sort" => "required|int",
            "interval" => "",
        ]);

        return $this->ok($this->service->store($params));
    }

    public function del()
    {
        $id = request()->input("id", 0);

        Setting::whereType(Setting::TYPE_BANNER)->where("id", $id)->delete();

        return $this->ok(true);
    }
}
